<script setup>
import AppShare from '@/helpers/AppShare'
import { useDialogStore } from '@/stores/DialogStore'
</script>


<script>
export default {

	data() {
		return {
			email: localStorage.getItem('email') || '',
		}
	},

	methods: {
		async onSubmit() {
			const dialogStore = useDialogStore()
			const result = await dialogStore.waitBox(async () =>
				await AppShare.client.call(`members/request-reset`, {
					method: 'POST',
					headers: AppShare.client.defaultHeaders(),
					data: {
						member: {
							email: this.email,
						},
					},
				})
			)
			if (!dialogStore.handleRestError(result)) {
				dialogStore.infoBox(this.$t('check'))
				this.$router.go(-1)
			}
		}
	},

	i18n: {
		messages: {
			en: {
				title: "Forgot Password",
				email: "Email",
				ok: "Send Email",
				check: "Please check email for your instruction!",
			},
			th: {
				title: "ลืมรหัสผ่าน",
				email: "อีเมล",
				ok: "ส่งอีเมล",
				check: "โปรดเช็คอีเมลสำหรับคำแนะนำต่อไป!",
			},
		},
	},
}
</script>


<template>
	<AppBox :title="$t('title')">
		<form id="form" @submit.prevent="onSubmit">
			<!-- email -->
			<label for="email">{{ $t('email') }}</label><br />
			<input id="email" type="email" :placeholder="$t('email')" required v-model="email" /><br />
			<br />

			<button type="submit">{{ $t('ok') }}</button>
		</form>
	</AppBox>
</template>


<style scoped>
</style>
